summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDonald Carr2020-11-23 18:23:01 -0800
committerDonald Carr2020-11-23 18:23:01 -0800
commitb310086f155c0e7aa85b3650f1076067cf69d4d2 (patch)
tree40776439bd40e7f74631e4c877a007349dbb93b8
parent95f94917b6bf5e03d8776268f8f29265915c456d (diff)
downloadaur-b310086f155c0e7aa85b3650f1076067cf69d4d2.tar.gz
Remove all reference to raspberry pi
Change-Id: I6bc89669a6e5c11b02bf23a8a8ba0f8a4b38af15
-rw-r--r--PKGBUILD7
-rw-r--r--PKGBUILD.libs6
2 files changed, 5 insertions, 8 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 1279ca11f8e..edcbec4051d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -177,9 +177,6 @@ $_build_from_local_src_tree && _patching=false
#rm $install
#touch $install
-if [[ -n ${_piver} ]] || ! $_building; then
- pkgname="${pkgname}-raspberry-pi${_piver}"
-fi
provides=($pkgname)
if $_static_build; then
@@ -218,11 +215,11 @@ _source_package_name=${_qt_package_name_prefix}-${_pkgver}
_baseprefix="/opt/qt"
_installprefix=${_baseprefix}/${pkgname}
-pkgdesc="Qt SDK for the Raspberry Pi 1/2/3"
+pkgdesc="Qt SDK for both hosts and a variety of targets"
arch=("x86_64")
url="http://www.chaos-reins.com/qpi/"
license=("LGPL3" "GPL3")
-optdepends=('qtcreator: Integrated Raspberry Pi IDE development')
+optdepends=('qtcreator: Integrated IDE development')
makedepends=("git" "pkgconfig" "gcc" "gperf" "python")
#_provider=http://qt.mirror.constant.com/
_provider=https://download.qt.io
diff --git a/PKGBUILD.libs b/PKGBUILD.libs
index 35c6d3c634f..2a111cb3306 100644
--- a/PKGBUILD.libs
+++ b/PKGBUILD.libs
@@ -3,7 +3,7 @@
pkgname=libspkgname
pkgver=libspkgver
pkgrel=libspkgrel
-pkgdesc="Qt ${pkgver} libs cross compiled for the Raspberry Pi libspiver"
+pkgdesc="Qt ${pkgver} libs cross compiled for an embedded target"
# I don't know how to set this correct for cross architecture builds
arch=("any")
url="http://www.qt.io"
@@ -12,8 +12,8 @@ source=()
sha256sums=()
options=('!strip')
# qtwebengine flac snappy libsrtp jsoncpp libvpx speex opus libxml2 libwebp icu
-depends=("ttf-croscore" "ttf-dejavu" "fontconfig" "wayland" "libxkbcommon" "gstreamer" "flac" "snappy" "libsrtp" "jsoncpp" "libvpx" "speex" "opus" "libxml2" "libwebp" "icu" "pulseaudio" "mtdev" "libinput" "pcre2" "openssl-1.0" "tslib" "double-conversion")
-provides=('qt-sdk-raspberry-pi-target-libs')
+depends=("ttf-croscore" "ttf-dejavu" "fontconfig" "wayland" "libxkbcommon" "gstreamer" "flac" "snappy" "libsrtp" "jsoncpp" "libvpx" "speex" "opus" "libxml2" "libwebp" "icu" "pulseaudio" "mtdev" "libinput" "pcre2" "openssl-1.0" "tslib" "double-conversion" "zstd")
+provides=('qt-sdk-target-libs')
package() {
mv ${startdir}/topkg/* ${pkgdir}